Subject: Re: bug#25987: 25.2; support gcc fixit notes

From: Eli Zaretskii <[email-masked]>
Date: Fri, 16 Mar 2018 22:19:09 +0200

> From: David Malcolm <[email-masked]>
> Date: Fri, 16 Mar 2018 12:48:07 -0400
> 
> It appears that Emacs can already decode from byte-offsets in a line
> back to columns

Actually, doing this translation is a pain, because it requires to
know the original encoding used by GCC for its messages, and that info
is gone by the time we have the text decoded in an Emacs buffer.
Emacs can guess the encoding, but that guesswork is bound to fail.  So
reporting the offsets in characters (a.k.a. columns) is really a
necessity.

Thanks.